<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.3) on Fri May 10 16:58:32 CEST 2019 -->
<title>S-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">O</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../controllers/MainController.html#searchOperator(java.util.List)">searchOperator(List&lt;User&gt;)</a></span> - Method in class controllers.<a href="../controllers/MainController.html" title="class in controllers">MainController</a></dt>
<dd>
<div class="block">Search all operators in a list</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/ModifDelController.html#selectedRole()">selectedRole()</a></span> - Method in class controllers.<a href="../controllers/ModifDelController.html" title="class in controllers">ModifDelController</a></dt>
<dd>
<div class="block">Method used to get the selected role in the combo box</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/ModifDelController.html#selectedSupervisor()">selectedSupervisor()</a></span> - Method in class controllers.<a href="../controllers/ModifDelController.html" title="class in controllers">ModifDelController</a></dt>
<dd>
<div class="block">Method used to get the selected supervisor in the combo box</div>
</dd>
<dt><span class="memberNameLink"><a href="../controllers/ModifDelController.html#selectedUser()">selectedUser()</a></span> - Method in class controllers.<a href="../controllers/ModifDelController.html" title="class in controllers">ModifDelController</a></dt>
<dd>
<div class="block">Method used to get the selected user in the combo box</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Call.html#setCall_status(model.classes.Status)">setCall_status(Status)</a></span> - Method in class model.classes.<a href="../model/classes/Call.html" title="class in model.classes">Call</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Call.html#setDate(java.sql.Date)">setDate(Date)</a></span> - Method in class model.classes.<a href="../model/classes/Call.html" title="class in model.classes">Call</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Role.html#setDescription(java.lang.String)">setDescription(String)</a></span> - Method in class model.classes.<a href="../model/classes/Role.html" title="class in model.classes">Role</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Status.html#setDescription(java.lang.String)">setDescription(String)</a></span> - Method in class model.classes.<a href="../model/classes/Status.html" title="class in model.classes">Status</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Call.html#setDirection(type.Direction)">setDirection(Direction)</a></span> - Method in class model.classes.<a href="../model/classes/Call.html" title="class in model.classes">Call</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Call.html#setDuration(int)">setDuration(int)</a></span> - Method in class model.classes.<a href="../model/classes/Call.html" title="class in model.classes">Call</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Call.html#setExtern_person(model.classes.ExternPerson)">setExtern_person(ExternPerson)</a></span> - Method in class model.classes.<a href="../model/classes/Call.html" title="class in model.classes">Call</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Person.html#setFirstname(java.lang.String)">setFirstname(String)</a></span> - Method in class model.classes.<a href="../model/classes/Person.html" title="class in model.classes">Person</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Call.html#setIdCall(int)">setIdCall(int)</a></span> - Method in class model.classes.<a href="../model/classes/Call.html" title="class in model.classes">Call</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Permission.html#setIdPermission(int)">setIdPermission(int)</a></span> - Method in class model.classes.<a href="../model/classes/Permission.html" title="class in model.classes">Permission</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Person.html#setIdPerson(int)">setIdPerson(int)</a></span> - Method in class model.classes.<a href="../model/classes/Person.html" title="class in model.classes">Person</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Role.html#setIdRole(int)">setIdRole(int)</a></span> - Method in class model.classes.<a href="../model/classes/Role.html" title="class in model.classes">Role</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Status.html#setIdStatus(int)">setIdStatus(int)</a></span> - Method in class model.classes.<a href="../model/classes/Status.html" title="class in model.classes">Status</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/User.html#setIsConnected(boolean)">setIsConnected(boolean)</a></span> - Method in class model.classes.<a href="../model/classes/User.html" title="class in model.classes">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Person.html#setLastname(java.lang.String)">setLastname(String)</a></span> - Method in class model.classes.<a href="../model/classes/Person.html" title="class in model.classes">Person</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/User.html#setLogin(java.lang.String)">setLogin(String)</a></span> - Method in class model.classes.<a href="../model/classes/User.html" title="class in model.classes">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Permission.html#setName(java.lang.String)">setName(String)</a></span> - Method in class model.classes.<a href="../model/classes/Permission.html" title="class in model.classes">Permission</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/RolePermission.html#setOne_permission(model.classes.Permission)">setOne_permission(Permission)</a></span> - Method in class model.classes.<a href="../model/classes/RolePermission.html" title="class in model.classes">RolePermission</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/RolePermission.html#setOne_role(model.classes.Role)">setOne_role(Role)</a></span> - Method in class model.classes.<a href="../model/classes/RolePermission.html" title="class in model.classes">RolePermission</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Call.html#setOperator(model.classes.User)">setOperator(User)</a></span> - Method in class model.classes.<a href="../model/classes/Call.html" title="class in model.classes">Call</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/User.html#setPassword(java.lang.String)">setPassword(String)</a></span> - Method in class model.classes.<a href="../model/classes/User.html" title="class in model.classes">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/ExternPerson.html#setPhoneNumber(java.lang.String)">setPhoneNumber(String)</a></span> - Method in class model.classes.<a href="../model/classes/ExternPerson.html" title="class in model.classes">ExternPerson</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/classes/User.html#setSupervisor(model.classes.User)">setSupervisor(User)</a></span> - Method in class model.classes.<a href="../model/classes/User.html" title="class in model.classes">User</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../controllers/ModifDelController.html#setTextAndCombo(model.classes.User)">setTextAndCombo(User)</a></span> - Method in class controllers.<a href="../controllers/ModifDelController.html" title="class in controllers">ModifDelController</a></dt>
<dd>
<div class="block">Fill the JTextField and JComboBox with the data of the user selected</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/classes/User.html#setUser_role(model.classes.Role)">setUser_role(Role)</a></span> - Method in class model.classes.<a href="../model/classes/User.html" title="class in model.classes">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../model/classes/Status.html" title="class in model.classes"><span class="typeNameLink">Status</span></a> - Class in <a href="../model/classes/package-summary.html">model.classes</a></dt>
<dd>
<div class="block">Status class is used to instance object representing a call status</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/classes/Status.html#%3Cinit%3E(int,java.lang.String)">Status(int, String)</a></span> - Constructor for class model.classes.<a href="../model/classes/Status.html" title="class in model.classes">Status</a></dt>
<dd>
<div class="block">Constructor of the Status class</div>
</dd>
<dt><a href="../model/DAO/StatusDAO.html" title="class in model.DAO"><span class="typeNameLink">StatusDAO</span></a> - Class in <a href="../model/DAO/package-summary.html">model.DAO</a></dt>
<dd>
<div class="block">StatusDAO, inherits DAO class, is used to get status data from database</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/DAO/StatusDAO.html#%3Cinit%3E()">StatusDAO()</a></span> - Constructor for class model.DAO.<a href="../model/DAO/StatusDAO.html" title="class in model.DAO">StatusDAO</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">L</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">O</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
